Nano Banana 2 Lite 生图
curl --request POST \
--url https://api.omnimux.ai/v1/images/generations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.omnimux.ai/v1/images/generations"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omnimux.ai/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.omnimux.ai/v1/images/generations"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Nano Banana
Nano Banana 2 Lite 生图
Google 官方 Nano Banana 2 Lite 生图 · model gemini-3.1-flash-lite-image
POST
/
v1
/
images
/
generations
Nano Banana 2 Lite 生图
curl --request POST \
--url https://api.omnimux.ai/v1/images/generations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.omnimux.ai/v1/images/generations"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omnimux.ai/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.omnimux.ai/v1/images/generations"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}- 调用
POST /v1/images/generations,model为gemini-3.1-flash-lite-image - 请求体至少包含
model与prompt - 官方轻量级高性价比生图模型,适合低成本大规模批量生成
身份
| 字段 | 值 |
|---|---|
| 系列 | 图像系列 |
| 品牌 | Google / Nano Banana |
| model | gemini-3.1-flash-lite-image |
| 基准定价 | $0.0336 / 张(1K 分辨率) |
请求体
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
model | string | 是 | 固定为 gemini-3.1-flash-lite-image |
prompt | string | 是 | 图像生成提示词描述 |
size | string | 否 | 长宽比,如 1:1, 9:16, 16:9,默认为 1:1 |